﻿@model Mr_Book_FontEnd_V1.Models.AllProductModel
@using Microsoft.AspNetCore.Http
@{
    ViewData["Title"] = "Index";
}
<style>
    .center {
        text-align: center;
    }

    .pagination {
        display: inline-block;
    }

    .pagination a {
        color: black;
        float: left;
        padding: 8px 16px;
        text-decoration: none;
        border: 1px solid #ddd;
    }
    .pagination a:first-child {
        border-top-left-radius: 5px;
        border-bottom-left-radius: 5px;
    }

    .pagination a:last-child {
        border-top-right-radius: 5px;
        border-bottom-right-radius: 5px;
    }
</style>
<div class="container-fluid">
    @ViewBag.Sum
    <div class="page-header">
        <div class="row align-items-end">
            <div class="col-lg-8">
                <div class="page-header-title">
                    <i class="ik ik-file-text bg-blue"></i>
                    <div class="d-inline">
                        <h5>Dashboard</h5>
                        <span>หน้าเเรก</span>
                    </div>
                </div>
            </div>
            <div class="col-lg-4">
                <nav class="breadcrumb-container" aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item">
                            <a href="#"><i class="ik ik-home"></i></a>
                        </li>
                        <li class="breadcrumb-item">
                            <a href="#">Home</a>
                        </li>
                        <li class="breadcrumb-item active" aria-current="page">Dashboard</li>
                    </ol>
                </nav>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-12">
            <div class="mb-2 clearfix">

                <div class="collapse d-md-block display-options" id="displayOptions">

                    
                    <div class="float-md-right">
                        @*<button class="btn btn-outline-dark btn-xs dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                10
                                <i class="ik ik-chevron-down mr-0 align-middle"></i>
                            </button>*@

                        <div class="form-group">
                            <a href="@Url.Action("AddProduct","Home")" class="btn btn-outline-success btn-rounded "><i class="ik ik-plus"></i> เพิ่มนิยาย</a>
                            @*<select class="btn btn-outline-dark btn-xs dropdown-toggle">
                                    <option value="10">10</option>
                                    <option value="20">20</option>
                                    <option value="30">30</option>
                                </select>*@
                        </div>

                    </div>
                </div>
            </div>
            <div class="separator mb-20"></div>



            <div class="row layout-wrap" id="layout-wrap">
               
                @if (Model.listBook != null)
                {
                    foreach (var i in Model.listBook)
                    {
                        
                        <div class="col-xl-3 col-lg-4 col-12 col-sm-6 mb-4 list-item list-item-grid">
                            <div class="card d-flex flex-row mb-3">
                                <a class="d-flex card-img" href="#editLayoutItem" data-toggle="modal" data-target="#editLayoutItem">
                                    <img src="@i.Path_ImageCover" alt="Donec sit amet est at sem iaculis aliquam." class="list-thumbnail responsive border-0">
                                    <span class="badge badge-pill badge-primary position-absolute badge-top-left">New</span>
                                </a>
                                <div class="d-flex flex-grow-1 min-width-zero card-content">
                                    <div class="card-body align-self-center d-flex flex-column flex-md-row justify-content-between min-width-zero align-items-md-center">
                                        <a class="list-item-heading mb-1 truncate w-40 w-xs-100" href="#editLayoutItem" data-toggle="modal" data-target="#editLayoutItem">
                                            @i.ProductName
                                        </a>
                                        <p class="mb-1 text-muted text-small date w-15 w-xs-100">ราคา @i.ProductPrice บาท</p>
                                    </div>
                                    <div class="list-actions">
                                        <a href="@Url.Action("Detail","Home",new { ProductId = @i.ProductId })"><i class="ik ik-eye"></i></a>
                                        <a href="@Url.Action("Edit","Home",new { ProductId = @i.ProductId })"><i class="ik ik-edit-2"></i></a>
                                        <a href="#" onclick="onDelete(@i.ProductId,@Context.Session.GetInt32("page"))" class="list-delete"><i class="ik ik-trash-2"></i></a>
                                    </div>
                                    <div class="custom-control custom-checkbox pl-1 align-self-center">
                                        <label class="custom-control custom-checkbox mb-0">
                                            <input type="checkbox" class="custom-control-input">
                                            <span class="custom-control-label"></span>
                                        </label>
                                    </div>

                                </div>
                            </div>
                        </div>

                    }
                }

            </div>

        </div>
    </div>
</div>
<form method="get" action="@Url.Action("Index","Home")">
    <div class="center">
        <div class="pagination">

        </div>
    </div>
</form>


<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.0/jquery.min.js"></script>
<script src="~/js/Delete.js"></script>

<script>
    var pageLen = @Model.count;
    var limit = 4;
    var i = 0;
    var item = [];
    for (i; i < pageLen / limit; i++){

        item.push(i+1);
        if (pageLen % limit > 0) {
            i + 1;
        }
    }

    $.each(item, function (index, value) {
        $(".pagination").append('<button type="submit" class="btn " id="btn" name="page" value="'+value+'">'+value+'</button> ');
    });

    //$('button').on('click', function(){
    //    $('button').removeClass(' activePage');
    //    $(this).toggleClass('activePage');
    //});

</script>